## ptlib 2.10.10~dfsg

=== src/Makefile ===
# Makefile
#
# Make file for ptlib library
#
# Portable Windows Library
#
# Copyright (c) 1993-1998 Equivalence Pty. Ltd.
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Portable Windows Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Portions are Copyright (C) 1993 Free Software Foundation, Inc.
# All Rights Reserved.
# 
# Contributor(s): Matthias Schneider____________________.

ifndef PTLIBDIR
PTLIBDIR := $(HOME)/ptlib
endif

include $(PTLIBDIR)/make/unix.mak

OBJDIR	= $(PT_OBJDIR)
LIBDIR  = $(PT_LIBDIR)
TARGET  = $(LIBDIR)/$(PTLIB_FILE)
VERSION_FILE = $(PTLIBDIR)/version.h
REVISION_FILE = $(PTLIBDIR)/revision.h

##########################################

COMPONENT_SRC_DIR	= ptclib
COMMON_SRC_DIR		= ptlib/common
PLUGIN_DIR		= ../plugins
ifeq ($(OSTYPE),mingw)
PLATFORM_SRC_DIR        = ptlib/msos
else
PLATFORM_SRC_DIR        = ptlib/unix
endif
VPATH_CXX		:= $(PLATFORM_SRC_DIR) $(COMMON_SRC_DIR) $(COMPONENT_SRC_DIR) 

ifeq ($(OSTYPE),Darwin)
SED_EXTREGEX_FLAG		= -E
else
SED_EXTREGEX_FLAG		= -r
endif

# try and keep the order of modules in reverse order of usage so any
# global statics will be constructed/destructed in the correct order

ifdef HAS_SASL2
SOURCES	+= $(COMPONENT_SRC_DIR)/psasl.cxx 
endif

ifdef HAS_OPENLDAP
SOURCES	+= \
	$(COMPONENT_SRC_DIR)/pldap.cxx \
        $(COMPONENT_SRC_DIR)/pils.cxx
endif

ifdef HAS_OPENSSL
SOURCES += $(COMPONENT_SRC_DIR)/pssl.cxx 
endif

ifdef HAS_SDL
SOURCES += $(COMPONENT_SRC_DIR)/vsdl.cxx

$(OBJDIR)/vsdl.o: $(COMPONENT_SRC_DIR)/vsdl.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(Q_CC)$(CXX) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) $(CFLAGS) -c $< -o $@

endif

ifdef HAS_ODBC
SOURCES += $(COMPONENT_SRC_DIR)/podbc.cxx
endif

## VIDEO DRIVERS
## Note this is mostly handled by the plugin system

ifdef HAS_VIDEO

SOURCES	 += $(COMMON_SRC_DIR)/vfakeio.cxx \
            $(COMMON_SRC_DIR)/videoio.cxx \
	    $(COMMON_SRC_DIR)/vconvert.cxx \
	    $(COMMON_SRC_DIR)/pvidchan.cxx \
	    $(COMMON_SRC_DIR)/tinyjpeg.c \
	    $(COMMON_SRC_DIR)/jidctflt.c

$(OBJDIR)/vfakeio.o: $(COMMON_SRC_DIR)/vfakeio.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(Q_CC)$(CXX) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) $(CFLAGS) -c $< -o $@

ifdef HAS_SHM_VIDEO
SOURCES	+= $(PLATFORM_SRC_DIR)/shmvideo.cxx
endif

ifndef HAS_PLUGINS

ifeq ($(OSTYPE),linux)
VPATH_CXX	+= $(PLUGIN_DIR)/vidinput_v4l
SOURCES		+= $(PLUGIN_DIR)/vidinput_v4l/vidinput_v4l.cxx
endif

endif  # HAS_PLUGINS

ifdef HAS_VFW_CAPTURE
SOURCES		+= $(PLATFORM_SRC_DIR)/vfw.cxx
endif

ifdef HAS_DIRECTSHOW
SOURCES	+= $(PLATFORM_SRC_DIR)/directshow.cxx
$(OBJDIR)/directshow.o: $(PLATFORM_SRC_DIR)/directshow.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(Q_CC)$(CXX) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) $(CFLAGS) -c $< -o $@
endif

endif # HAS_VIDEO

## SOUND DRIVERS
## Note this is mostly handled by the plugin system

ifdef HAS_AUDIO

SOURCES += $(COMMON_SRC_DIR)/sound.cxx 

ifeq ($(OSTYPE),mingw)
SOURCES += $(PLATFORM_SRC_DIR)/sound_win32.cxx
$(OBJDIR)/sound_win32.o: $(PLATFORM_SRC_DIR)/sound_win32.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(Q_CC)$(CXX) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) $(CFLAGS) -c $< -o $@
endif

ifndef HAS_PLUGINS

ifeq ($(OSTYPE),linux)
VPATH_CXX	+= $(PLUGIN_DIR)/sound_oss
SOURCES		+= $(PLUGIN_DIR)/sound_oss/sound_oss.cxx
endif # linux

ifdef HAS_ALSA
VPATH_CXX	+= $(PLUGIN_DIR)/sound_alsa
SOURCES		+= $(PLUGIN_DIR)/sound_alsa/sound_alsa.cxx
endif  # HAS_ALSA

ifeq ($(OSTYPE),beos)
SOURCES	 += $(PLATFORM_SRC_DIR)/beaudio.cxx
endif  # beos
 
endif  # HAS_PLUGINS

# Although not an external plugin, the MacOSX
# CoreAudio sound driver still is in plugin form
# and requires the PPluginManager
ifeq ($(OSTYPE),Darwin)
SOURCES	+= $(PLATFORM_SRC_DIR)/maccoreaudio.cxx
endif # Darwin

endif  # HAS_AUDIO

## Various modules

SOURCES	+= $(COMPONENT_SRC_DIR)/pxml.cxx 

ifdef HAS_EXPAT

ifdef HAS_XMLRPC
SOURCES	+= \
	$(COMPONENT_SRC_DIR)/pxmlrpc.cxx \
	$(COMPONENT_SRC_DIR)/pxmlrpcs.cxx 
endif

ifdef HAS_SOAP
SOURCES	+= $(COMPONENT_SRC_DIR)/psoap.cxx 
endif

ifdef HAS_VXML
SOURCES	+= $(COMPONENT_SRC_DIR)/vxml.cxx 
endif

ifdef HAS_SASL2
SOURCES += \
	$(COMPONENT_SRC_DIR)/xmpp.cxx \
	$(COMPONENT_SRC_DIR)/xmpp_c2s.cxx \
	$(COMPONENT_SRC_DIR)/xmpp_muc.cxx \
	$(COMPONENT_SRC_DIR)/xmpp_roster.cxx
endif
endif # HAS_EXPAT

ifdef HAS_LUA
SOURCES	+= $(COMPONENT_SRC_DIR)/lua.cxx
endif

ifdef HAS_RESOLVER
SOURCES += \
	$(COMPONENT_SRC_DIR)/pdns.cxx \
	$(COMPONENT_SRC_DIR)/enum.cxx 
endif

ifdef HAS_TTS
SOURCES += $(COMPONENT_SRC_DIR)/ptts.cxx 
endif

ifdef HAS_ASN
SOURCES += \
	$(COMPONENT_SRC_DIR)/asner.cxx \
	$(COMPONENT_SRC_DIR)/pasn.cxx 
endif

ifdef HAS_SNMP
SOURCES += \
	$(COMPONENT_SRC_DIR)/snmpclnt.cxx \
	$(COMPONENT_SRC_DIR)/snmpserv.cxx \
	$(COMPONENT_SRC_DIR)/psnmp.cxx \
	$(COMPONENT_SRC_DIR)/snmp.cxx \
	$(COMPONENT_SRC_DIR)/rfc1155.cxx 
endif

ifdef HAS_FTP
SOURCES += \
	$(COMPONENT_SRC_DIR)/ftpclnt.cxx \
	$(COMPONENT_SRC_DIR)/ftpsrvr.cxx \
	$(COMPONENT_SRC_DIR)/ftp.cxx 
endif

ifdef HAS_TELNET
SOURCES += $(COMPONENT_SRC_DIR)/telnet.cxx 
endif

ifdef HAS_STUN
SOURCES += $(COMPONENT_SRC_DIR)/pstun.cxx \
           $(COMPONENT_SRC_DIR)/pnat.cxx

$(OBJDIR)/pstun.o: $(COMPONENT_SRC_DIR)/pstun.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(Q_CC)$(CXX) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) $(CFLAGS) -c $< -o $@

endif

ifdef HAS_SOCKS
SOURCES += $(COMPONENT_SRC_DIR)/socks.cxx 
endif

ifdef HAS_PIPECHAN
ifeq ($(OSTYPE),mingw)
SOURCES += $(PLATFORM_SRC_DIR)/pipe.cxx 
SOURCES += $(COMMON_SRC_DIR)/pipechan.cxx 
else
SOURCES += $(PLATFORM_SRC_DIR)/pipechan.cxx 
endif
endif

ifdef HAS_REMCONN
SOURCES += $(PLATFORM_SRC_DIR)/remconn.cxx 
endif

ifdef HAS_WAVFILE
SOURCES += $(COMPONENT_SRC_DIR)/pwavfile.cxx \
           $(COMPONENT_SRC_DIR)/pwavfiledev.cxx

$(OBJDIR)/pwavfiledev.o: $(COMPONENT_SRC_DIR)/pwavfiledev.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(Q_CC)$(CXX) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) $(CFLAGS) -c $< -o $@
endif

ifdef HAS_DTMF
SOURCES += $(COMPONENT_SRC_DIR)/dtmf.cxx 
endif

ifdef HAS_SERIAL

ifeq ($(OSTYPE),mingw)
SOURCES += $(PLATFORM_SRC_DIR)/winserial.cxx \
     	   $(COMMON_SRC_DIR)/serial.cxx

else
SOURCES += $(PLATFORM_SRC_DIR)/serchan.cxx
endif

SOURCES += $(COMPONENT_SRC_DIR)/modem.cxx 
endif

ifdef HAS_POP3SMTP
SOURCES += \
	$(COMPONENT_SRC_DIR)/inetmail.cxx 
endif

ifdef HAS_URL
SOURCES += \
	$(COMPONENT_SRC_DIR)/url.cxx 
endif

ifdef HAS_HTTP
SOURCES += \
	$(COMPONENT_SRC_DIR)/http.cxx \
	$(COMPONENT_SRC_DIR)/httpclnt.cxx \
	$(COMPONENT_SRC_DIR)/html.cxx \
	$(COMPONENT_SRC_DIR)/httpsrvr.cxx
endif

ifdef HAS_HTTPFORMS
SOURCES += \
	$(COMPONENT_SRC_DIR)/httpform.cxx
endif #HAS_HTTPFORMS

ifdef HAS_HTTPSVC
SOURCES += \
	$(PLATFORM_SRC_DIR)/svcproc.cxx \
	$(COMPONENT_SRC_DIR)/httpsvc.cxx

ifdef HAS_OPENSSL
SOURCES += $(COMPONENT_SRC_DIR)/shttpsvc.cxx
endif #HAS_OPENSSL
endif #HAS_HTTPSVC

ifdef HAS_CONFIG_FILE
ifeq ($(OSTYPE),mingw)
SOURCES += $(PLATFORM_SRC_DIR)/wincfg.cxx 
else
SOURCES += $(PLATFORM_SRC_DIR)/config.cxx 
endif
endif

ifdef HAS_VIDFILE
SOURCES += $(COMPONENT_SRC_DIR)/pvidfile.cxx \
	   $(COMPONENT_SRC_DIR)/pvfiledev.cxx 

$(OBJDIR)/pvfiledev.o: $(COMPONENT_SRC_DIR)/pvfiledev.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(Q_CC)$(CXX) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) $(CFLAGS) -c $< -o $@

endif

ifdef HAS_FFVDEV
SOURCES += $(COMPONENT_SRC_DIR)/pffvdev.cxx

$(OBJDIR)/pffvdev.o: $(COMPONENT_SRC_DIR)/pffvdev.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(Q_CC)$(CXX) -DP_FORCE_STATIC_PLUGIN $(STDCCFLAGS) $(CFLAGS) -c $< -o $@

endif

ifeq ($(OSTYPE),mingw)
SOURCES	+= \
        $(PLATFORM_SRC_DIR)/ptlib.cxx \
        $(PLATFORM_SRC_DIR)/icmp.cxx \
        $(PLATFORM_SRC_DIR)/winsock.cxx \
        $(PLATFORM_SRC_DIR)/win32.cxx \
        $(PLATFORM_SRC_DIR)/dllmain.cxx \
        $(PLATFORM_SRC_DIR)/ethsock.cxx \
        $(COMMON_SRC_DIR)/pchannel.cxx \
        $(COMMON_SRC_DIR)/pethsock.cxx \
        $(COMMON_SRC_DIR)/pconfig.cxx
else
SOURCES	+= \
	$(PLATFORM_SRC_DIR)/uicmp.cxx \
	$(PLATFORM_SRC_DIR)/socket.cxx \
	$(PLATFORM_SRC_DIR)/udll.cxx \
	$(PLATFORM_SRC_DIR)/channel.cxx \
	$(PLATFORM_SRC_DIR)/osutil.cxx \
	$(PLATFORM_SRC_DIR)/tlib.cxx \
	$(PLATFORM_SRC_DIR)/switch.cxx
endif

GETDATE_SOURCE = $(COMMON_SRC_DIR)/getdate.tab.c

SOURCES	+= \
	$(COMPONENT_SRC_DIR)/cli.cxx \
	$(COMPONENT_SRC_DIR)/threadpool.cxx \
	$(COMPONENT_SRC_DIR)/ipacl.cxx \
	$(COMPONENT_SRC_DIR)/qchannel.cxx \
	$(COMPONENT_SRC_DIR)/delaychan.cxx \
	$(COMPONENT_SRC_DIR)/memfile.cxx \
	$(COMPONENT_SRC_DIR)/cypher.cxx \
	$(COMPONENT_SRC_DIR)/random.cxx \
	$(COMPONENT_SRC_DIR)/inetprot.cxx \
	$(COMPONENT_SRC_DIR)/notifier_ext.cxx \
	$(COMPONENT_SRC_DIR)/vcard.cxx \
	$(COMPONENT_SRC_DIR)/guid.cxx \
	$(GETDATE_SOURCE) \
	$(PLATFORM_SRC_DIR)/assert.cxx \
	$(COMMON_SRC_DIR)/pluginmgr.cxx \
	$(COMMON_SRC_DIR)/sockets.cxx \
	$(COMMON_SRC_DIR)/psockbun.cxx \
	$(COMMON_SRC_DIR)/qos.cxx \
	$(COMMON_SRC_DIR)/ptime.cxx \
	$(COMMON_SRC_DIR)/syslog.cxx \
	$(COMMON_SRC_DIR)/osutils.cxx \
	$(COMMON_SRC_DIR)/safecoll.cxx \
	$(COMMON_SRC_DIR)/collect.cxx \
	$(COMMON_SRC_DIR)/contain.cxx \
	$(COMMON_SRC_DIR)/object.cxx   # must be last module

ifneq ($(HAS_REGEX),1)
OBJS	= $(OBJDIR)/regcomp.o $(OBJDIR)/regexec.o $(OBJDIR)/regerror.o $(OBJDIR)/regfree.o
endif

CLEAN_FILES = $(GETDATE_SOURCE)


$(COMMON_SRC_DIR)/osutils.cxx: $(REVISION_FILE)

$(REVISION_FILE) : $(REVISION_FILE).in
ifeq ($(shell which svn 2> /dev/null),)
	sed -e "s/.WCREV./`sed -n -e 's/.*Revision: \([0-9]*\).*/\1/p' $<`/" $< > $@
else
ifeq ($(wildcard $(PTLIBDIR)/.svn),)
	sed -e "s/.WCREV./`sed -n -e 's/.*Revision: \([0-9]*\).*/\1/p' $<`/" $< > $@
else
	$(Q)sed "s/SVN_REVISION.*/SVN_REVISION `LC_ALL=C svn info | sed -n 's/Revision: //p'`/" $< > $@.tmp
	$(Q)if diff -q $@ $@.tmp >/dev/null 2>&1; then \
	  rm $@.tmp; \
	else \
	  mv -f $@.tmp $@; \
	  echo "Revision file updated to `sed $(SED_EXTREGEX_FLAG) -n 's/.*SVN_REVISION(.*)/\1/p' $@`" ; \
	fi

.PHONY: $(REVISION_FILE)
endif
endif

#######################################################

include ../make/common.mak

#######################################################

alllibs:
	$(MAKE) both
	$(MAKE) bothshared


$(OBJDIR)/regcomp.o: $(COMMON_SRC_DIR)/regex/regcomp.c
	$(Q_CC)$(CC) $(DEBUG_FLAG) $(OPTCCFLAGS) -c -DPOSIX_MISTAKE -I$(COMMON_SRC_DIR)/regex $(CFLAGS) -o $@ -c $<

$(OBJDIR)/regexec.o: $(COMMON_SRC_DIR)/regex/regexec.c
	$(Q_CC)$(CC) $(DEBUG_FLAG) $(OPTCCFLAGS) -c -DPOSIX_MISTAKE -I$(COMMON_SRC_DIR)/regex $(CFLAGS) -o $@ -c $<

$(OBJDIR)/regerror.o: $(COMMON_SRC_DIR)/regex/regerror.c
	$(Q_CC)$(CC) $(DEBUG_FLAG) $(OPTCCFLAGS) -c -DPOSIX_MISTAKE -I$(COMMON_SRC_DIR)/regex $(CFLAGS) -o $@ -c $<

$(OBJDIR)/regfree.o: $(COMMON_SRC_DIR)/regex/regfree.c
	$(Q_CC)$(CC) $(DEBUG_FLAG) $(OPTCCFLAGS) -c -DPOSIX_MISTAKE -I$(COMMON_SRC_DIR)/regex $(CFLAGS) -o $@ -c $<


ifdef REQUIRES_SEPARATE_SWITCH 
$(OBJDIR)/switch.o: $(PLATFORM_SRC_DIR)/switch.cxx
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	$(Q_CC)$(CXX) $(STDCCFLAGS) $(CFLAGS) -c $< -o $@
endif

$(OBJDIR)/getdate.tab.o: $(GETDATE_SOURCE)
	$(Q_CC)$(CC) -Wno-write-strings $(STDCCFLAGS) $(CFLAGS) -c $< -o $@

$(DEPDIR)/getdate.tab.dep: $(GETDATE_SOURCE)
	$(Q_CC)$(CC) $(STDCCFLAGS) -M $< >> $@

$(GETDATE_SOURCE): $(COMMON_SRC_DIR)/getdate.y
	bison $(COMMON_SRC_DIR)/getdate.y -o $(COMMON_SRC_DIR)/getdate.tab.c

#######################################################

LIB_BASENAME=$(PTLIB_BASE)
LIB_FILENAME=$(PTLIB_FILE)

=== plugins/sound_oss/Makefile ===

PLUGIN_NAME	= oss
PLUGIN_FAMILY	= device/sound
PLUGIN_LIBS	=
PLUGIN_SOURCES	= sound_oss.cxx

include ../../make/plugins.mak

=== plugins/sound_shm/Makefile ===

PLUGIN_NAME	= ashm
PLUGIN_FAMILY	= device/sound
PLUGIN_LIBS	= -lrt
PLUGIN_SOURCES	= sound_shm.cxx

include ../../make/plugins.mak

=== plugins/sound_sunaudio/Makefile ===

PLUGIN_NAME	= sunaudio
PLUGIN_FAMILY	= device/sound
PLUGIN_LIBS	=
PLUGIN_SOURCES	= sound_sunaudio.cxx

include ../../make/plugins.mak

=== plugins/vidinput_bsd/Makefile ===

PLUGIN_NAME	= bsdvideo
PLUGIN_FAMILY	= device/videoinput
PLUGIN_LIBS	=
PLUGIN_SOURCES	= vidinput_bsd.cxx

include ../../make/plugins.mak

=== plugins/vidinput_v4l/Makefile ===

PLUGIN_NAME	= v4l
PLUGIN_FAMILY	= device/videoinput
PLUGIN_LIBS	=
PLUGIN_SOURCES	= vidinput_v4l.cxx

include ../../make/plugins.mak

=== samples/ThreadSafe/Makefile ===
PROG = threadsafe
SOURCES := main.cxx 

ifndef PTLIBDIR
PTLIBDIR=$(HOME)/ptlib
endif

include $(PTLIBDIR)/make/ptlib.mak

=== samples/dnstest/Makefile ===
PROG = dnstest
SOURCES := main.cxx 

ifndef PTLIBDIR
PTLIBDIR=$(HOME)/ptlib
endif

include $(PTLIBDIR)/make/ptlib.mak

=== samples/hello_world/Makefile ===
# Simple makefile for the hello world program

PROG    = hello
SOURCES = hello.cxx

ifndef PTLIBDIR
PTLIBDIR=$(HOME)/ptlib
endif

include $(PTLIBDIR)/make/ptlib.mak

# End of Makefile

=== samples/map_dict/Makefile ===
PROG = map_dict
SOURCES := main.cxx 

ifndef PTLIBDIR
PTLIBDIR=$(HOME)/ptlib
endif

include $(PTLIBDIR)/make/ptlib.mak

docs: 
	doxygen docs.dxy

=== samples/stunclient/Makefile ===
# Simple makefile for the stunclient program

PROG    = stunclient
SOURCES = main.cxx

ifndef PTLIBDIR
PTLIBDIR=$(HOME)/ptlib
endif

include $(PTLIBDIR)/make/ptlib.mak

# End of Makefile

=== samples/timing/Makefile ===
PROG = timing
SOURCES := timing.cxx

include $(PTLIBDIR)/make/ptlib.mak

=== debian/changelog ===
ptlib (2.10.10~dfsg-4) unstable; urgency=medium

  * patches/bison-fix: Update patch to fix crash (Closes: Bug#735600).

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Fri, 17 Jan 2014 08:50:49 +0100

ptlib (2.10.10~dfsg-3) unstable; urgency=low

  * patches/bison-fix: Fix build with bison 3.0 (Closes: Bug#733396).
  * Ack NMU, thanks Samuel!

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Wed, 08 Jan 2014 14:50:49 +0100

ptlib (2.10.10~dfsg-2.1) unstable; urgency=low

  * NMU with agreement of maintainer.
  * patches/hurd-fix: Fix hurd build (Closes: Bug#729184).
  * control: Bump doxygen version to 1.8.5-1 to avoid its hang bug
    (Closes: #729243).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Nov 2013 20:50:49 +0100

ptlib (2.10.10~dfsg-2) unstable; urgency=low

  * Upload to Unstable

 -- Mark Purcell <msp@debian.org>  Sun, 05 May 2013 21:39:44 +1000

ptlib (2.10.10~dfsg-1) experimental; urgency=low

  [ Eugen Dedu ]
  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Sat, 23 Feb 2013 09:43:13 +1100

=== debian/control ===
Source: ptlib
Section: libs
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Kilian Krause <kilian@debian.org>
Build-Depends: debhelper (>= 8), autotools-dev, doxygen (>= 1.8.5-1~), pkg-config, bison, flex,
 unixodbc-dev, libssl-dev, libldap2-dev, libsasl2-dev, libkrb5-dev, libexpat1-dev,
 libpulse-dev,
 libsdl1.2-dev, libdv4-dev,
 libv4l-dev [linux-any],
 libasound2-dev  [linux-any]
Build-Conflicts: libpt-dev
Standards-Version: 3.9.3
Homepage: http://www.opalvoip.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-voip/ptlib/branches/ptlib2.10-luyten/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/ptlib/branches/ptlib2.10-luyten/

Package: libpt2.10.10
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Portable Tools Library
 This package contains the shared version of the library PTLib, which is
 a moderately large class library that has its genesis many years ago as
 a method to produce applications to run on both Microsoft Windows and
 Unix X-Window systems.
 .
 This package also contains all the current PTLib plugins (alsa, oss, pulse,
 and v4l2).

Package: libpt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libpt2.10.10 (= ${binary:Version}),
 libc6-dev, libssl-dev, libldap2-dev, libsdl1.2-dev, libexpat1-dev, libsasl2-dev, unixodbc-dev, pkg-config
Description: Portable Tools Library development files
 This package contains the headers and a static version of the library
 PTLib, which is a moderately large class library that has its genesis
 many years ago as a method to produce applications to run on both
 Microsoft Windows and Unix X-Window systems.

Package: libpt-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libpt2.10.10 (= ${binary:Version})
Description: Portable Tools Library development debug files
 This package contains the shared and static debug symbols of the library
 PTLib, which is a moderately large class library that has its genesis
 many years ago as a method to produce applications to run on both
 Microsoft Windows and Unix X-Window systems.  This is not the debug compiled
 version of PTLib which would yield much more detailled information as a
 compromise of benefit and compile power consumption.

Package: libpt-doc
Section: doc
Priority: extra
Depends: ${misc:Depends}, libjs-jquery
Architecture: all
Description: Portable Tools Library documentation & sample files
 This package contains the documentation and samples to program with
 PTLib, which is a moderately large class library that has its genesis
 many years ago as a method to produce applications to run on both
 Microsoft Windows and Unix X-Window systems.

=== debian/rules ===
#!/usr/bin/make -f

DEBVERSION := $(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION := $(shell echo $(DEBVERSION) | sed 's/~dfsg-.//')

FILENAME := ptlib_$(UPVERSION)~dfsg.orig.tar.gz
UPFILENAME := ptlib_$(UPVERSION).orig.tar.gz
URL := http://aarnet.dl.sourceforge.net/sourceforge/opalvoip/ptlib-$(UPVERSION).tar.bz2

%:
	dh $@ --with autotools_dev --parallel

override_dh_clean:
	if [ -f Makefile ];then \
		$(MAKE) PTLIBDIR=$(CURDIR) -C samples/hello_world clean||true ; \
		$(MAKE) distclean || true ; \
	fi
	rm -rf html
	dh_clean

override_dh_auto_configure:
	dh_auto_configure -- --enable-oss --enable-v4l --disable-avc --disable-dc --enable-exceptions

override_dh_auto_build:
	dh_auto_build -- optshared docs

override_dh_strip:
	dh_strip -a --dbg-package=libpt-dbg

override_dh_link:
	# replace jquery.js with Debian's version
	rm -f debian/libpt-doc/usr/share/doc/libpt-doc/html/jquery.js
	dh_link

override_dh_auto_test:
	$(MAKE) PTLIBDIR=$(CURDIR) -C samples/hello_world clean
	$(MAKE) PTLIBDIR=$(CURDIR) -C samples/hello_world opt
	#if (samples/hello_world/obj*/hello 2>/dev/null);then \
	#   echo opt hello_world sample incorrectly compiled static; false ; \
	#else \
	#   echo opt hello_world sample correctly compiled non-static; \
	#fi
	ln -s lib* lib ; LD_LIBRARY_PATH=$(CURDIR)/lib samples/hello_world/obj*/hello
	# if this won't work, we needn't even try going any further...
	rm lib
	# make sure samples are clean before we install them into libpt-doc
	$(MAKE) PTLIBDIR=$(CURDIR) -C samples/hello_world clean
	rm -rf samples/hello_world/obj_*

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"
	@@#echo "svn REV:                 $(REV)"

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@#this is for stable versions
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
	@@echo 'Repacking as DFSG-free (removing windows EXEs)...'
	@@mkdir -p ../tarballs/ptlib-$(UPVERSION).tmp/
	@@cd ../tarballs/ptlib-$(UPVERSION).tmp ; tar xfj ../$(UPFILENAME)
	@@find ../tarballs/ptlib-$(UPVERSION).tmp/ -iname '*.exe' -delete
	@@echo Writing archive ../tarballs/$(FILENAME) ...
	@@cd ../tarballs/ptlib-$(UPVERSION).tmp ; tar cfz ../$(FILENAME) *
	@@echo Cleaning up...
	@@$(RM) -rf ../tarballs/ptlib-$(UPVERSION).tmp/ ../tarballs/$(UPFILENAME)

## ptlib 2.10.11~dfsg

=== plugins/sound_alsa/Makefile ===

PLUGIN_NAME	= alsa
PLUGIN_FAMILY	= device/sound
PLUGIN_LIBS	= -lasound
PLUGIN_SOURCES	= sound_alsa.cxx

include ../../make/plugins.mak

=== plugins/sound_pulse/Makefile ===

PLUGIN_NAME	= pulse
PLUGIN_FAMILY	= device/sound
PLUGIN_LIBS	= -lpulse -lpulse-simple
PLUGIN_SOURCES	= sound_pulse.cxx

include ../../make/plugins.mak

=== plugins/vidinput_avc/Makefile ===

PLUGIN_NAME	= avc
PLUGIN_FAMILY	= device/videoinput
PLUGIN_LIBS	= $(LDFLAGS) -lraw1394 -ldv -lrom1394
PLUGIN_SOURCES	= vidinput_avc.cxx

include ../../make/plugins.mak

=== samples/StringTest/Makefile ===
#
# Makefile
#
# Makefile for StringTest
#
# Copyright (c) 2006 Indranet Technologies Ltd.
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Portable Windows Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Log: Makefile,v $
# Revision 1.1  2006/06/26 02:16:08  dereksmithies
# Initial release of a program to test the speed and performance of the PString class.
#
#
#
#
#


PROG = stringtest

SOURCES := main.cxx 

ifndef PTLIBDIR
PTLIBDIR=$(HOME)/ptlib
endif
 
include $(PTLIBDIR)/make/ptlib.mak

=== samples/audio/Makefile ===
# Simple makefile for the audio test program

PROG    = audio
SOURCES = audio.cxx

ifndef PTLIBDIR
PTLIBDIR=$(HOME)/ptlib
endif

include $(PTLIBDIR)/make/ptlib.mak

# End of Makefile

=== samples/emailtest/Makefile ===
#
# Makefile
#
# Simple makefile for the email test program
#
# Copyright (c) 2007 Derek J Smithies, Indranet Technologies Ltd
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Portable Windows Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Log: Makefile,v $
# Revision 1.1  2007/03/05 21:17:48  dereksmithies
# Initial release of Makefile, so this program will compile & run on a unix box.
#
#
#
#
#


PROG    = emailtest
SOURCES = main.cxx

ifndef PTLIBDIR
PTLIBDIR=$(HOME)/ptlib
endif

include $(PTLIBDIR)/make/ptlib.mak

# End of Makefile

=== samples/httptest/Makefile ===
# Simple makefile for the HTTP test program

PROG    = httptest
SOURCES = httptest.cxx

ifndef PTLIBDIR
PTLIBDIR=$(HOME)/ptlib
endif

include $(PTLIBDIR)/make/ptlib.mak

# End of Makefile

=== samples/ipv6test/Makefile ===
#
# Makefile
#
# Makefile for ipv6test
#
# Copyright (C) 2004 Post Increment
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Portable Windows Library.
#
# The Initial Developer of the Original Code is Post Increment
#
# Contributor(s): ______________________________________.
#
# $Log: Makefile,v $
# Revision 1.1  2004/12/14 07:04:05  csoutheren
# Initial version
#
#
#


PROG = ipv6test
SOURCES := main.cxx precompile.cxx

ifndef PTLIBDIR
PTLIBDIR=${HOME}/ptlib
endif
include $(PTLIBDIR)/make/ptlib.mak

=== samples/lua/Makefile ===
# Simple makefile for the lua test program

PROG    = lua
SOURCES = lua.cxx

ifndef PTLIBDIR
PTLIBDIR=$(HOME)/ptlib
endif

include $(PTLIBDIR)/make/ptlib.mak

# End of Makefile

=== samples/md5/Makefile ===
# Simple makefile to illustrate  md5 operation.
#
#  Copyright 2005 Indranet Technologies Ltd
#
# $Log: Makefile,v $
# Revision 1.1  2005/03/02 21:50:02  dereksmithies
# Initial release of example code to calculate MD5 sums of a supplied string.
#
#
#
PROG    = md5
SOURCES = encrypt.cxx


ifndef PTLIBDIR
PTLIBDIR=$(HOME)/ptlib
endif

include $(PTLIBDIR)/make/ptlib.mak

# End of Makefile

=== samples/netif/Makefile ===
PROG = netif
SOURCES := netif.cxx

include $(PTLIBDIR)/make/ptlib.mak

=== samples/plugintest/Makefile ===
PROG = plugintest
SOURCES := main.cxx 

ifndef PTLIBDIR
PTLIBDIR=$(HOME)/ptlib
endif

include $(PTLIBDIR)/make/ptlib.mak

=== debian/changelog ===
ptlib (2.10.11~dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 6 (Closes: #811835).
  * Explicitly build with OpenSSL 1.0 (Closes: #828514).

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 30 Nov 2016 22:58:13 +0500

ptlib (2.10.11~dfsg-2) unstable; urgency=low

  * patches/no-sslv3: Fix FTBFS with recent libssl library without SSL v3 support
  * Update debian/copyright file, thanks Scott Kitterman

 -- Eugen Dedu <eugen.dedu@univ-fcomte.fr>  Fri, 6 Nov 2015 18:35:49 +0200

ptlib (2.10.11~dfsg-1) unstable; urgency=low

  * New upstream release

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Fri, 28 Aug 2015 13:50:49 +0200

ptlib (2.10.10~dfsg-5) unstable; urgency=medium

  * patches/gcc-5_support: Fix FTBS with GCC 5 (Closes: Bug#778074).

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Fri, 26 Jun 2015 09:50:49 +0100

ptlib (2.10.10~dfsg-4.1) unstable; urgency=low

  * Non-mantainer upload.
  * Define P_64BIT and LIB64 for arm64, mips64(el) and ppc64el (Closes: #748911).

 -- YunQiang Su <syq@debian.org>  Wed, 08 Oct 2014 10:18:48 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Kilian Krause <kilian@debian.org>
 Build-Depends: debhelper (>= 8), autotools-dev, doxygen (>= 1.8.5-1~), pkg-config, bison, flex,
- unixodbc-dev, libssl-dev, libldap2-dev, libsasl2-dev, libkrb5-dev, libexpat1-dev,
+ unixodbc-dev, libssl1.0-dev, libldap2-dev, libsasl2-dev, libkrb5-dev, libexpat1-dev,
  libpulse-dev,
  libsdl1.2-dev, libdv4-dev,
  libv4l-dev [linux-any],
@@ -15,7 +15,7 @@
 Vcs-Svn: svn://anonscm.debian.org/pkg-voip/ptlib/branches/ptlib2.10-luyten/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/ptlib/branches/ptlib2.10-luyten/
 
-Package: libpt2.10.10
+Package: libpt2.10.11
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Portable Tools Library
@@ -30,8 +30,8 @@
 Package: libpt-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libpt2.10.10 (= ${binary:Version}),
- libc6-dev, libssl-dev, libldap2-dev, libsdl1.2-dev, libexpat1-dev, libsasl2-dev, unixodbc-dev, pkg-config
+Depends: ${misc:Depends}, libpt2.10.11 (= ${binary:Version}),
+ libc6-dev, libssl1.0-dev, libldap2-dev, libsdl1.2-dev, libexpat1-dev, libsasl2-dev, unixodbc-dev, pkg-config
 Description: Portable Tools Library development files
  This package contains the headers and a static version of the library
  PTLib, which is a moderately large class library that has its genesis
@@ -42,7 +42,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libpt2.10.10 (= ${binary:Version})
+Depends: ${misc:Depends}, libpt2.10.11 (= ${binary:Version})
 Description: Portable Tools Library development debug files
  This package contains the shared and static debug symbols of the library
  PTLib, which is a moderately large class library that has its genesis

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export STDCXXFLAGS = -std=gnu++98
 
 DEBVERSION := $(shell head -n 1 debian/changelog \
 		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
@@ -6,7 +8,7 @@
 
 FILENAME := ptlib_$(UPVERSION)~dfsg.orig.tar.gz
 UPFILENAME := ptlib_$(UPVERSION).orig.tar.gz
-URL := http://aarnet.dl.sourceforge.net/sourceforge/opalvoip/ptlib-$(UPVERSION).tar.bz2
+URL := https://sourceforge.net/projects/opalvoip/files/v3.10%20Luyten/Stable%2011/ptlib-2.10.11.tar.bz2
 
 %:
 	dh $@ --with autotools_dev --parallel

=== debian/watch ===
version=3

opts=dversionmangle=s/[\.~]dfsg(\d+)?//,uversionmangle=s/[_\.]+/\./g \
http://sf.net/opalvoip/ptlib-(2.10.\d).tar.bz2 debian svn-upgrade
